clear;clc
lines=[9681003 9902458 9868636 10389312 10571078 10748926 ...
    11010645 10274496 9639024 10152826 10603979 10192807];
%unix('ls ASBD/*.edge>filelist.edge');
%unix('ls ASBD/*.tran>filelist.tran');
NN=12;
fid1 = fopen('filelist.edge','r');
fid2 = fopen('filelist.tran','r');
edgeRow = zeros(1,NN);
tranRow = zeros(1,NN);
for i=1:NN
    filename1 = fscanf(fid1, '%s', 1);
    filename2 = fscanf(fid2, '%s', 1);
    fidedge = fopen(filename1,'r');
    fidtran = fopen(filename2,'r');
    s1 = ['edge' num2str(i) '=fscanf(fidedge,''%d %d %d %d %d %f'',[6,inf])'';'];
    s2 = ['tran' num2str(i) '=fscanf(fidtran,''%d %d %d %d %d %f'',[6,inf])'';'];
    eval(s1);
    eval(s2);
    fclose(fidedge);
    fclose(fidtran);
    edgeRow(i) = eval(['size(edge' num2str(i) ',1)']);
    tranRow(i) = eval(['size(tran' num2str(i) ',1)']);
end
totalAS = edgeRow + tranRow;
N = 6;
for i=1:NN
    s1=['edge' num2str(i) '=edge' num2str(i) '(:,N);'];
    s2=['tran' num2str(i) '=tran' num2str(i) '(:,N);'];
    eval(s1);
    eval(s2);
end
ae=zeros(NN,1);
at=zeros(NN,1);
alphae=zeros(NN,1);
alphat=zeros(NN,1);
ce=zeros(NN,1);
ct=zeros(NN,1);
b=zeros(NN,1);
p=zeros(NN,1);
tmean=zeros(NN,1);
T = 40;
for i=1:NN
    s1=['edge=edge' num2str(i) ';'];
    s2=['tran=tran' num2str(i) ';'];
    eval(s1);
    eval(s2);
    [ae(i),alphae(i),ce(i)]=plfit(edge);
    [y1, y2]=seperateDataWithT(tran,T);
    [at(i),alphat(i),ct(i)]=plfit(y2);
    [b(i), tmp]=invfit(y1);
    p(i) = length(y1)/length(tran);
    tmean(i)=mean(tran);
end
label = [ '09-01';
          '09-03';
          '09-05';
          '09-07';
          '09-09';
          '09-11';
          '10-01';
          '10-03';
          '10-05';
          '10-07';
          '10-09';
          '10-11'];
figure('Position',[1 1 768 307]);
%subplot(2,1,1)
plot(1:NN,p, '-d');
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual
set(gca,'XTickLabel',label)
ylabel('Pr(x_t\leq40)');
xlabel('Time');
%title('(a) Pr(x\leq40) vs. time');
%subplot(2,1,2)
figure('Position',[1 1 768 307]);
plot(1:NN,b, '-d');
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.
set(gca,'XTickLabel',label)
ylabel('b');
xlabel('Time');
%title('(b) b vs. time');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure('Position',[1 1 768 307]);
%subplot(3,1,1)
plot(1:NN,ae, '-d', 1:NN, at, '-s');
legend('a_e', 'a_t');
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual
set(gca,'XTickLabel',label)
ylabel('a');
xlabel('Time');
%title('(a) a vs. time');
figure('Position',[1 1 768 307]);
%subplot(3,1,2)
plot(1:NN,alphae, '-d', 1:NN, alphat, '-s');
legend('\alpha_e', '\alpha_t');
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.
set(gca,'XTickLabel',label)
ylabel('\alpha');
xlabel('Time');
%title('(b) \alpha vs. time');
figure('Position',[1 1 768 307]);
%subplot(3,1,3)
plot(1:NN,ce, '-d', 1:NN, ct, '-s');
legend('C_e', 'C_t');
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.
set(gca,'XTickLabel',label)
ylabel('C');
xlabel('Time');
%title('(b) C vs. time');
