clear;clc
%folder='ASNO/';
unix('ls ASNO/*.asno>filelist');
NN=12;

edgeSize = zeros(1,NN);
staySize = zeros(1,NN-1);

fid = fopen('filelist','r');
filename = fscanf(fid, '%s', 1);
%filename=[folder file];
fid2= fopen(filename,'r');
as = fscanf(fid2,'%f %f %f %f',[4,inf]);
fclose(fid2);
len=size(as,2);
edge=zeros(1,len);
for i=1:len
    if as(2,i)<=3
        edgeSize(1)=edgeSize(1)+1;
        edge(edgeSize(1))=as(1,i);
    end
end
edge=edge(1:edgeSize(1));

for i=2:NN
    filename = fscanf(fid, '%s', 1);
    %filename=[folder file];
    fid2= fopen(filename,'r');
    as = fscanf(fid2,'%f %f %f %f',[4,inf]);
    fclose(fid2);
    len=size(as,2);
    tmp=zeros(1,len);
    for j=1:len
        if as(2,j)<=3
            edgeSize(i)=edgeSize(i)+1;
            tmp(edgeSize(i))=as(1,j);
        end
    end
    tmp=tmp(1:edgeSize(i));
    
    for j=1:length(edge)
        for k=1:edgeSize(i)
            if edge(j)==tmp(k)
                staySize(i-1)=staySize(i-1)+1;
                break;
            end
        end
    end
    edge = tmp;
end
fclose(fid);

scrsz = get(0,'ScreenSize');
label = [ '2009-01';
          '2009-03';
          '2009-05';
          '2009-07';
          '2009-09';
          '2009-11';
          '2010-01';
          '2010-03';
          '2010-05';
          '2010-07';
          '2010-09'];

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
plot(staySize./edgeSize(1:NN-1);
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 11.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:11])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)

ylabel('Probability of AS path prepending');
