clear;clc
%unix('ls spath/*.spath>filelist');
NN=12;
fid = fopen('filelist','r');
spathNoWeight=[];
spathWithWeight=[];
for i=1:NN
    filename = fscanf(fid, '%s', 1);
    %filename=[folder file];
    fid2= fopen(filename,'r');
    spath = fscanf(fid2,'%f %f',[2,inf]);
    fclose(fid2);
    spathNoWeight(i,:)=spath(1,:);
    spathWithWeight(i,:)=spath(2,:);
end
%fprintf(fid2,'%f\n',result);
fclose(fid);
clear spath;
%clear spathWithWeight;
scrsz = get(0,'ScreenSize');
label = [ '09-01';
          '09-03';
          '09-05';
          '09-07';
          '09-09';
          '09-11';
          '10-01';
          '10-03';
          '10-05';
          '10-07';
          '10-09';
          '10-11'];

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
boxplot(spathWithWeight', 'whisker',inf);
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)
ylabel('Shortest path length');
xlabel('Time');

hold on
plot(1:12,median(spathWithWeight,2),'*');
hold off