clear;clc
lines=[9681003 9902458 9868636 10389312 10571078 10748926 ...
    11010645 10274496 9639024 10152826 10603979 10192807];
%unix('ls ASBD/*.edge>filelist.edge');
%unix('ls ASBD/*.tran>filelist.tran');
NN=12;
fid1 = fopen('filelist.edge','r');
fid2 = fopen('filelist.tran','r');
edgeRow = zeros(1,NN);
tranRow = zeros(1,NN);
for i=1:NN
    filename1 = fscanf(fid1, '%s', 1);
    filename2 = fscanf(fid2, '%s', 1);
    fidedge = fopen(filename1,'r');
    fidtran = fopen(filename2,'r');
    s1 = ['edge' num2str(i) '=fscanf(fidedge,''%d %d %d %d %d %f'',[6,inf])'';'];
    s2 = ['tran' num2str(i) '=fscanf(fidtran,''%d %d %d %d %d %f'',[6,inf])'';'];
    eval(s1);
    eval(s2);
    fclose(fidedge);
    fclose(fidtran);
    edgeRow(i) = eval(['size(edge' num2str(i) ',1)']);
    tranRow(i) = eval(['size(tran' num2str(i) ',1)']);
end
totalAS = edgeRow + tranRow;
edgeMin = min(edgeRow);
tranMin = min(tranRow);
N = 6;
edgeM = [   edge1(1:edgeMin,N) edge2(1:edgeMin,N) edge3(1:edgeMin,N)...
            edge4(1:edgeMin,N) edge5(1:edgeMin,N) edge6(1:edgeMin,N)... 
            edge7(1:edgeMin,N) edge8(1:edgeMin,N) edge9(1:edgeMin,N)... 
            edge10(1:edgeMin,N) edge11(1:edgeMin,N) edge12(1:edgeMin,N)
            ];
tranM = [   tran1(1:tranMin,N) tran2(1:tranMin,N) tran3(1:tranMin,N)...
            tran4(1:tranMin,N) tran5(1:tranMin,N) tran6(1:tranMin,N)... 
            tran7(1:tranMin,N) tran8(1:tranMin,N) tran9(1:tranMin,N)... 
            tran10(1:tranMin,N) tran11(1:tranMin,N) tran12(1:tranMin,N)
            ];
for i=1:NN
    edgeM(:,i) = edgeM(:,i)/totalAS(i)/(totalAS(i)-1)*2;
    tranM(:,i) = tranM(:,i)/totalAS(i)/(totalAS(i)-1)*2;    
%     edgeM(:,i) = edgeM(:,i)/lines(i);
%     tranM(:,i) = tranM(:,i)/lines(i);
end
scrsz = get(0,'ScreenSize');
label = [ '09-01';
          '09-03';
          '09-05';
          '09-07';
          '09-09';
          '09-11';
          '10-01';
          '10-03';
          '10-05';
          '10-07';
          '10-09';
          '10-11'];

figure('Position',[1 scrsz(4)/2 768 307]);%3*scrsz(3)/4 0.3*scrsz(3)]);
boxplot(edgeM,'outliersize',0.1,'whisker',inf)%'medianstyle','target');%,'whisker',100);
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)
%ylabel('Degree of ASes');
%ylabel('Normalized betweenness of ASes');
ylabel('Routing centrality');
xlabel('Time');
hold on
plot(1:12,median(edgeM,1),'*');
hold off

figure('Position',[1 scrsz(4)/2 768 307]);%3*scrsz(3)/4 0.3*scrsz(3)]);
boxplot(tranM,'outliersize',0.1,'whisker',inf);%,'whisker',100);
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)
%ylabel('Degree of ASes');
xlabel('Time');
%ylabel('Normalized betweenness of ASes');
ylabel('Routing centrality');

hold on
plot(1:12,median(tranM,1),'*');
hold off