clear;clc
%folder='ASNO/';
unix('ls edge/*.edge>filelist.edge');
NN=12;
fid = fopen('filelist.edge','r');
for i=1:NN
    s1 = ['edge' num2str(i) '=fscanf(fid,''%s'',1);'];
    eval(s1);
end
fclose(fid);
stable = zeros(1,NN-1);
for d=1:NN-1
    edgeSize = zeros(1,NN-d);
    staySize = zeros(1,NN-d);
    for i=1:NN-d
        s1 = ['f1 = edge' num2str(i) ';'];
        s2 = ['f2 = edge' num2str(i+d) ';'];
        eval(s1);
        eval(s2);
        fid1 = fopen(f1,'r');
        fid2 = fopen(f2,'r');
        as1 = fscanf(fid1,'%d',[1,inf]);
        as2 = fscanf(fid2,'%d',[1,inf]);
        len1 = length(as1);
        len2 = length(as2);
        edgeSize(i) = len1;
        count = 0;
        for j=1:len1
            for k=1:len2
                if as1(j)==as2(k)
                    count = count+1;
                    break;
                end
            end
        end
        staySize(i) = count;
    end
    stable(d) = mean(staySize./edgeSize);
end

scrsz = get(0,'ScreenSize');

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
plot(2:2:22,stable)
ylabel('Percentage of stability');
xlabel('Time (month)');

